## debdelta 0.45

=== po/Makefile ===

all : messages.pot it.mo

messages.pot: ../debdelta Makefile
	xgettext -L Python -d debdelta --from-code=UTF-8 -o messages.pot ../debdelta
	msgmerge -o it~new~.po it.po messages.pot
	@if ! diff -q  it~new~.po it.po ; then mv it~new~.po  it.po ; echo Please edit it.po ; else rm  it~new~.po ; echo No significant changes ; fi 


it.mo: it.po
	msgfmt -c -o it.mo~~~~ it.po && mv it.mo~~~~ it.mo


#perche' diavolo non funziona questo?
.po.mo :
	msgfmt -c -o ~~$@~~ $< && mv ~~$@~~ $@




#lib/po/messages.pot : Makefile lib/EElection/*py  lib/EElection/plugins/*py lib/EBallotbox/*py
#        xgettext -o lib/po/messages.pot lib/EElection/*py  lib/EElection/plugins/*py lib/EBallotbox/*py
#        cd lib/po && msgmerge -o itnew.po it.po messages.pot
#        @if ! diff -q  lib/po/itnew.po  lib/po/it.po ; then mv  lib/po/itnew.po  lib/po/it.po ; echo Please edit lib/po/it.po ; else rm    lib/po/itnew.po ; echo No changes ; fi 


#lib/locale/it/LC_MESSAGES/e-election.mo : lib/po/it.po
#        msgfmt -o lib/locale/it/LC_MESSAGES/e-election.mo~~ --statistics lib/po/it.po && mv  lib/locale/it/LC_MESSAGES/e-election.mo~~  lib/locale/it/LC_MESSAGES/e-election.mo

## debdelta 0.15

=== debian/changelog ===
debdelta (0.15) unstable; urgency=low

  * debdelta : 
     - faster on .debs with many many files ;
     - better behaviour when 'out of disk space'  errors occour 
  * debdeltas: 
     - added  '--alt DIR' option, to say where older versions of .debs are
     - added   --clean-alt and --clean-deltas options 
  * debdelta-upgrade: 
     - if a delta fails, download the .deb
     - sources are in /etc/debdelta/sources.conf or ~/.debdelta/sources.conf
  * corrected many bugs
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 28 Jun 2006 16:23:28 +0200

debdelta (0.14) unstable; urgency=low

  * debdeltas: can --clean unusable debdeltas
  * debdelta: corrected bug (cannot gunzip a symlink)

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 13 Jun 2006 12:17:31 +0200

debdelta (0.13) unstable; urgency=low

  * debdelta_upgrade: thanks to Michael Vogt, now uses APT caches at best
  * debdelta & debpatch: many improvements
      - divide data.tar in small chunks
      - always use bsdiff (xdelta is buggy)
      - gunzip .gz files in data.tar before delta, and gzip after
      (the delta of debhelper  5.0.35  -> 5.0.36 was 80% of original .deb
      before, now it is  to 10%)

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 12 Jun 2006 20:03:16 +0200

debdelta (0.12) unstable; urgency=low

  * debdeltas: deltas failed due to not enough disk space will be retried
  * debdelta: better use of MD5; and a filename similarity matcher,
      when in computing difference of data.tar.gz (unfortunately, slower)
      also, solves a bug
  + debdelta_upgrade: properly quote URLs (before, it seemed as if 
     a lot of deltas were not present in the archives!); 
     better HTTP handling

 -- A Mennucc1 <mennucc1@debian.org>  Fri,  9 Jun 2006 18:45:17 +0200

debdelta (0.11) unstable; urgency=low

  * debdelta: (by faking 2nd part of tar headers), some improvement for  .deb
     with many small files
  * debdelta-upgrade : while the thread is patching, also download some
     .debs for which deltas are not available.
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed,  7 Jun 2006 16:07:36 +0200

debdelta (0.10) unstable; urgency=low

  * safer code
  * debdelta: produce shorter patch.sh, and uses bzip2

 -- A Mennucc1 <mennucc1@debian.org>  Thu,  1 Jun 2006 23:10:44 +0200

debdelta (0.9) unstable; urgency=low

  * debdeltas: 
    '-n N' option, to decide how many deltas to compute for each package ;
    '--avoid file' option, to avoid packages from a dist
     ('file' is a Python database, that can be created with contrib/parse_dist )
  * debdelta : corrected bug, now really skip conf files !
  * debdeltas : corrected bug, was not exiting from forks !  
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 31 May 2006 14:13:39 +0200

debdelta (0.8) unstable; urgency=low

  * 'debdelta' can use MD5 to exploit identical files that were renamed.
   This can express the difference between tetex-doc 3.0-17 and 3.0-18
   into  260kB , even though all the directory tree was moved around !

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 30 May 2006 18:24:17 +0200

debdelta (0.7) unstable; urgency=low

  * 'debdelta-upgrade' uses a thread to patch and download at the same time

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 30 May 2006 12:16:44 +0200

debdelta (0.6) unstable; urgency=low

  * new program 'debdelta-upgrade' to download and apply deltas 
    (from my mirror)

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 29 May 2006 16:16:40 +0200

debdelta (0.5) unstable; urgency=low

  * new program 'debdeltas' to scan archive of debs
       and create an archive of deltas
  * 'debpatch' works on installed version of old deb,
      even in case of dpkg diversions

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 27 May 2006 12:00:13 +0200

debdelta (0.4) unstable; urgency=low

  * 'debpatch' can use a delta to create the new .deb, even if 
    the old debian package file is not available, provided that 
    it is installed in the host
  * code cleanup

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 23 May 2006 15:59:08 +0200

debdelta (0.3) experimental; urgency=low

  * use bsdiff when memory does not exceed 50Mb, and free disk space is enough
  * ' debpatch --info  patch' to just know info on a patch

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 22 May 2006 10:34:06 +0200

debdelta (0.2) experimental; urgency=low

  * Added getopt support.  Reorganized code.
  * Be careful of cwd when using os.path.abspath.
  * Add parameters to patch.sh , in particular, support for '#unpack-old' keyword
  * Graduated verbosity.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 20 May 2006 14:06:23 +0200

debdelta (0.1) experimental; urgency=low

  * first alpha
  * it works on two debs with gzip compression

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 19 May 2006 19:19:54 +0200

=== debian/control ===
Source: debdelta
Section: devel
Priority: optional
Build-Depends: zlib1g-dev
Maintainer: A Mennucc1 <mennucc1@debian.org>
Standards-Version: 3.7.2

Package: debdelta
Architecture: any
Depends: python (>= 2.1), xdelta, bsdiff, ${shlibs:Depends}
Recommends: python-apt
Description: diff and patch utilities which work with Debian packages
 debdelta is a program suite designed to compute changes between
 Debian packages. These changes (debdeltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between Debian packages.
 This suite contains 'debdelta-upgrade', that downloads debdeltas and use them
 to create all Debian packages needed for an 'apt-get upgrade'.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file; from GNU Hello,  Copyright 1994,1995 by Ian Jackson.

package = debdelta

D = debian/tmp

docdir = $(D)/usr/share/doc/$(package)

CC = gcc
CFLAGS = -g -Wall
INSTALL_PROGRAM = install

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

build:
	$(checkdir)
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="-lz" minigzip
	touch build

clean:
	$(checkdir)
	rm -f build *~ */*~ debian/files* debian/substvars
	rm -f minigzip
	rm -rf $(D)

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	rm -rf $(D)
	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(D)/usr/lib/debdelta
	#install -m 755 debian/postinst debian/prerm $(D)/DEBIAN
	$(INSTALL_PROGRAM)  minigzip $(D)/usr/lib/debdelta/minigzip
	cp  debdelta $(D)/usr/bin/debdelta
	install -d $(D)/etc/debdelta
	cp etc/sources.conf $(D)/etc/debdelta/sources.conf
	echo /etc/debdelta/sources.conf >> $(D)/DEBIAN/conffiles
	chmod +x  $(D)/usr/bin/debdelta
	ln -s debdelta  $(D)/usr/bin/debpatch
	ln -s debdelta  $(D)/usr/bin/debdeltas
	ln -s debdelta  $(D)/usr/bin/debdelta-upgrade
	cp  FAQ README debian/copyright debian/changelog $(docdir)
	cd $(docdir) && gzip -9 changelog README FAQ
	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip
	dpkg-gencontrol -isp
	chown -R root:root $(D)
	chmod -R u+w,go=rX $(D)
	dpkg --build $(D) ..

define checkdir
	test -f debdelta -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test $$(id -u) = 0

.PHONY: binary binary-arch binary-indep clean checkroot

## debdelta 0.19

=== debian/changelog ===
debdelta (0.19) unstable; urgency=low

  * Bug fix: append_info(delta,info,T) is wrong
    thanks a lot to David (Closes: #386252).
  
 -- A Mennucc1 <mennucc1@debian.org>  Thu,  7 Sep 2006 20:49:22 +0200

debdelta (0.18) UNRELEASED; urgency=low

  * debdelta-upgrade : retries on httplib errors

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 29 Jul 2006 15:18:24 +0200

debdelta (0.17) unstable; urgency=medium

  * debpatch : since 'echo -n -e' doesnt works with all shells ,
    patch script will test for it
  * debdelta : use bash to run patch script (until #379227 is fixed )

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 22 Jul 2006 22:15:51 +0200

debdelta (0.16) unstable; urgency=low
  
  * debdelta_upgrade
    - is faster (particularly on small debs - by avoiding calls to dpkg)
    - avoids downloading deltas if not enough disk space for applying them
    - identifies itself as User-Agent =  'Debian debdelta-upgrade'
  * md5 generation and verification may be disabled by option  --no-md5
  * now temporary directories are of the form  ${TMPDIR}/debdeltaXXXXXX
  * better checking for exceptions

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 12 Jul 2006 22:15:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: debdelta
 Architecture: any
-Depends: python (>= 2.1), xdelta, bsdiff, ${shlibs:Depends}
+Depends: python, xdelta, bsdiff, ${shlibs:Depends}
 Recommends: python-apt
 Description: diff and patch utilities which work with Debian packages
  debdelta is a program suite designed to compute changes between

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	rm -rf $(D)
 	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(D)/usr/lib/debdelta
 	#install -m 755 debian/postinst debian/prerm $(D)/DEBIAN
+	install -m 755 debian/postrm $(D)/DEBIAN/
 	$(INSTALL_PROGRAM)  minigzip $(D)/usr/lib/debdelta/minigzip
 	cp  debdelta $(D)/usr/bin/debdelta
 	install -d $(D)/etc/debdelta

## debdelta 0.20

=== debian/changelog ===
debdelta (0.20) unstable; urgency=low

  * added man pages. thanks  Pierre-yves Jégou (Closes: 376598)
  * fix bug in name/len file matching when building
    debdeltas (debdelta would die of "division by zero" sometimes)

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 14 Apr 2007 09:26:07 +0200

## debdelta 0.22

=== debian/changelog ===
debdelta (0.22) unstable; urgency=medium

  * depends on xdelta3 , and correct path in python
  * document --delta-algo

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 26 Aug 2007 18:09:29 +0200

debdelta (0.21) unstable; urgency=medium

  * save header of minigzip output in patch script, since 
    it changes in newer versions of zlib

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 17 Jul 2007 10:09:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: debdelta
 Architecture: any
-Depends: python, xdelta, bsdiff, ${shlibs:Depends}
+Depends: python, xdelta, xdelta3, bsdiff, ${shlibs:Depends}
 Recommends: python-apt
 Description: diff and patch utilities which work with Debian packages
  debdelta is a program suite designed to compute changes between

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 D = debian/tmp
 
 docdir = $(D)/usr/share/doc/$(package)
+mandir = $(D)/usr/share/man/man1/
 
 CC = gcc
 CFLAGS = -g -Wall
@@ -38,7 +39,7 @@
 binary-arch:	checkroot build
 	$(checkdir)
 	rm -rf $(D)
-	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(D)/usr/lib/debdelta
+	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta
 	#install -m 755 debian/postinst debian/prerm $(D)/DEBIAN
 	install -m 755 debian/postrm $(D)/DEBIAN/
 	$(INSTALL_PROGRAM)  minigzip $(D)/usr/lib/debdelta/minigzip
@@ -52,6 +53,8 @@
 	ln -s debdelta  $(D)/usr/bin/debdelta-upgrade
 	cp  FAQ README debian/copyright debian/changelog $(docdir)
 	cd $(docdir) && gzip -9 changelog README FAQ
+	cp *.1 $(mandir)
+	gzip -9 $(mandir)/*.1 
 	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip
 	dpkg-gencontrol -isp
 	chown -R root:root $(D)

## debdelta 0.26

=== debian/changelog ===
debdelta (0.26) unstable; urgency=low

  * rewrite internal DebDeltaError class to avoid problems with
    python 2.5; correct typo.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 03 May 2008 19:21:31 +0200

debdelta (0.25) unstable; urgency=low

  * debdelta-upgrage: add an option --deb-policy to fine-tune download of
    .debs, thanks to Paul Wise (Closes: #465550).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 16 Mar 2008 12:14:42 +0100

debdelta (0.24) unstable; urgency=low

  * some packages (notably, linux kernels) modify files that they install
    , and then patching from installed debs always fails; to avoid, I added
    /etc/debdelta/debdelta.conf , ~/.debdelta/debdelta.conf to configure
    which original files to skip/ship in debian packages
  * add support for bzip2 compression on data.tar

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 09 Mar 2008 14:10:53 +0100

debdelta (0.23) unstable; urgency=low

  * If "python-apt" is missing, print a error message and exit;
    "python-apt" is recommended; thanks to David (Closes: #448688).
  * debpatch understands the keywords 'needs-xdelta' and 'needs-bsdiff'
  * debdeltas: 'Package' files may be used as arguments
  * debdeltas : can have multiple --alt  options
  * option --delta-algo to try different binary encoders;
    thanks to "Jiří Paleček" (Closes: #435159).
  * There is now a repository of deltas for stable security
    (again hosted at bononia, thanks a lot zack).

 -- A Mennucc1 <debdev@tonelli.sns.it>  Mon, 17 Dec 2007 15:26:04 +0100

## debdelta 0.27

=== debian/changelog ===
debdelta (0.27) unstable; urgency=low

  * debpatch now can apply patches using data from installed version of a
    package also in hosts where prelink is used; and consequently
    debdelta-upgrade can upgrade such hosts. Thanks roman@khimov.ru.

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 15 Sep 2008 12:40:18 +0200

=== debian/control ===
Source: debdelta
Section: devel
Priority: optional
Build-Depends: zlib1g-dev, libbz2-dev
Maintainer: A Mennucc1 <mennucc1@debian.org>
Standards-Version: 3.7.3

Package: debdelta
Architecture: any
Depends: python, xdelta, bsdiff, ${shlibs:Depends}
Recommends: python-apt, xdelta3
Description: diff and patch utilities which work with Debian packages
 debdelta is a program suite designed to compute changes between
 Debian packages. These changes (debdeltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between Debian packages.
 .
 This suite contains 'debdelta-upgrade', that downloads debdeltas and use them
 to create all Debian packages needed for an 'apt-get upgrade'.
 It may be used in a Debian/unstable host (to speed up download of new
 packages), or in a Debian/stable host (for security updates).

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,11 @@
   INSTALL_PROGRAM += -s
 endif
 
-build:
+
+minibzip2: minigzip.c
+	$(CC) -DBZIP $(CFLAGS) -lbz2  minigzip.c -o minibzip2 
+
+build: minibzip2
 	$(checkdir)
 	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="-lz" minigzip
 	touch build
@@ -27,7 +31,7 @@
 clean:
 	$(checkdir)
 	rm -f build *~ */*~ debian/files* debian/substvars
-	rm -f minigzip
+	rm -f minigzip minibzip2
 	rm -rf $(D)
 
 binary-indep:	checkroot build
@@ -43,6 +47,7 @@
 	#install -m 755 debian/postinst debian/prerm $(D)/DEBIAN
 	install -m 755 debian/postrm $(D)/DEBIAN/
 	$(INSTALL_PROGRAM)  minigzip $(D)/usr/lib/debdelta/minigzip
+	$(INSTALL_PROGRAM)  minibzip2 $(D)/usr/lib/debdelta/minibzip2
 	cp  debdelta $(D)/usr/bin/debdelta
 	install -d $(D)/etc/debdelta
 	cp etc/sources.conf $(D)/etc/debdelta/sources.conf
@@ -55,7 +60,7 @@
 	cd $(docdir) && gzip -9 changelog README FAQ
 	cp *.1 $(mandir)
 	gzip -9 $(mandir)/*.1 
-	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip
+	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2
 	dpkg-gencontrol -isp
 	chown -R root:root $(D)
 	chmod -R u+w,go=rX $(D)

## debdelta 0.30

=== debian/changelog ===
debdelta (0.30) unstable; urgency=low

  * Correct an indent in defining HOSTID
  * Bug fix: "[debdelta] debdelta-upgrade doesn't work with nobody
    user", thanks to Mert Dirik (Closes: #497967).
  * Bug fix: "os.popen2 deprecated in python2.6", thanks to
    Pär Andersson (Closes: #539911).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 07 Aug 2009 10:10:04 +0200

debdelta (0.29) unstable; urgency=low

  * Really depend on 'binutils' (Closes: 511765)
  * Bug fix: "crash when /proc is not mounted",
    thanks to Paul Wise (Closes: #506383).
  * Use hashlib, not md5 module, in newer python,
    thanks to Lars Wirzenius (Closes: #537869).
  * Support lzma , thanks to Pär Andersson (Closes: #540005)

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 05 Aug 2009 14:09:02 +0200

debdelta (0.28) unstable; urgency=low

  * Depend on 'binutils' , 'bzip2' (Closes: 511765, 521670)
  * Support python-apt 0.7.10. Thanks a lot to Julian Andres Klode
  * debdelta-upgrade: select packages to upgrade,
    thanks to Nelson A. de Oliveira (Closes: #504423).

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 08 Apr 2009 13:47:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: debdelta
 Architecture: any
-Depends: python, xdelta, bsdiff, ${shlibs:Depends}
+Depends: python, xdelta, bsdiff, bzip2, lzma, binutils, ${shlibs:Depends}
 Recommends: python-apt, xdelta3
 Description: diff and patch utilities which work with Debian packages
  debdelta is a program suite designed to compute changes between

## debdelta 0.37

=== debian/changelog ===
debdelta (0.37) unstable; urgency=low

  * debdelta-upgrade
    * when < 50MB disk space, 'prelink -u' fails  : report it

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 01 Jan 2010 21:15:08 +0100

debdelta (0.36) unstable; urgency=low

  * switch license of man pages to 
     GNU Library General Public License (version 2)
    (same as the code), with permission of the author
  * patching : fix forensic report
  * debdelta-upgrade 
    - better progress reporting
    - if '-v' , report info as apt-get does (Closes: #557780).

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 08 Dec 2009 10:17:11 +0100

debdelta (0.35) unstable; urgency=low

  * do not try to unprelink kernel modules
    (big speedup for kernel updates)
  * some adjustments to patching progress reports
  * Bug fix: HTTPResponse instance has no attribute 'message',
    thanks to Ritesh Raj Sarraf (Closes: #555038)
  * correct buglet when 'localepurge' is detected and a patch fails

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 08 Nov 2009 21:20:51 +0100

debdelta (0.34) unstable; urgency=low

  * FAQ, README , man pages , control :
    the file created by 'debdelta' is always called a 'delta'
    (before it was also called a 'debdelta' or a 'patch')
  * add references to CUPT in debian/control and man 
    page (Closes: #551009).
  * debpatch.sh needs bash (Closes: #547744).
  * debpatch , debdelta-upgrade : report patching progress
  * debdelta-upgrade :
    - provide proxy support (see  man page) (Closes: #551748).
    - download debs also from ftp debian archives (Closes: #472766)
    - better computation of download speeds (Closes: #463671).
    - properly print when a delta is too big
       and when it is not present, or other download error
       (but this does not work with http proxies)

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 25 Oct 2009 14:43:54 +0100

debdelta (0.33) unstable; urgency=low

  * debdelta-upgrade: add checks and bails out if  localepurge
     has deleted files from the package
  * correct bug in parsing of /etc/debdelta/debdelta.conf :
      now sections match to the package name, not filename
  * debdelta: simplify deltas a bit
  * review the output of '-v'

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 18 Sep 2009 15:43:16 +0200

debdelta (0.32) unstable; urgency=low

  * debdeltas: add support for Packages.gz and  Packages.bz2 .
  * debdeltas: add option --test  (that does what '-d' was doing before)
  * debdelta,debdeltas:
    - add option --disable-feature ,
    - and add document README.features explaining backward compatibility,
    - and correct some bugs in features handling.
  * Change Depends: lzma, xdelta, xdelta3, bsdiff to Recommends
     ('debpatch' and 'debdelta-upgrade' will ask if they are needed).
  * Fix exit status and document it in man page.
  * Fix -v and -d , and document '-d' better in man pages.
  * debpatch, debdelta-upgrade : if '-d' and a delta fails, 
    create some files that may be used to address the bug.
  * Bug fix: "redownload package already in the cache", thanks to Sandro
    Tosi (Closes: #544784).

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 04 Sep 2009 23:29:06 +0200

debdelta (0.31) unstable; urgency=low

  * Add GPG signatures (YAY!!)
  * Update man pages to explain how to use signatures.
  * Add a README.upgrade document in /usr/share/doc/debdelta
  * Copy some useful stuff from contrib/ in /usr/share/debdelta :
     dpkg-sig : a version of dpkg-sig, patched to support
                debdelta signatures
     debmirror-delta-security : an example script to create deltas
        to upgrade from stable to stable-security
     debpatch.sh : a simple script that explains how debpatch works
  * Rearrange debian/rules
  * Correct some bugs in lzma support, but more testing is needed
  * debdelta : correct bug when the old deb contains data.tar.XX
    the new one contains  data.tar.YY and XX != YY

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 21 Aug 2009 11:08:20 +0200

=== debian/control ===
Source: debdelta
Section: devel
Priority: optional
Build-Depends: zlib1g-dev, libbz2-dev
Maintainer: A Mennucc1 <mennucc1@debian.org>
Standards-Version: 3.8.3.0

Package: debdelta
Architecture: any
Depends: python, bzip2, binutils, ${shlibs:Depends}
Recommends: python-apt, xdelta3, xdelta, lzma, xdelta, bsdiff
Enhances: cupt
Description: diff and patch utilities which work with Debian packages
 debdelta is a program suite designed to compute changes between
 Debian packages. These changes (deltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between Debian packages.
 .
 This suite contains 'debdelta-upgrade', that downloads deltas and use them
 to create all Debian packages needed for an 'apt-get upgrade'.
 It may be used in a Debian/unstable host (to speed up download of new
 packages), or in a Debian/stable host (for security updates).
 .
 Similarly, when this package is installed, the 'cupt' package manager will
 use deltas to upgrade the host.

=== debian/rules ===
--- 
+++ 
@@ -43,28 +43,44 @@
 binary-arch:	checkroot build
 	$(checkdir)
 	rm -rf $(D)
-	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta
-	#install -m 755 debian/postinst debian/prerm $(D)/DEBIAN
+	# dirs
+	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings
+	# control
+	install contrib/debmirror-delta-security $(D)/usr/share/debdelta
 	install -m 755 debian/postrm $(D)/DEBIAN/
+	install -m 755 debian/postinst $(D)/DEBIAN/
+	# /usr/share
+	install debpatch.sh $(D)/usr/share/debdelta
+	install contrib/debmirror-delta-security $(D)/usr/share/debdelta
+	install contrib/dpkg-sig $(D)/usr/share/debdelta
+	cp contrib/debmirror_2007_--trash_option.patch  $(D)/usr/share/debdelta
+	ln -s ../../bin/debdelta  $(D)/usr/share/debdelta/debpatch-url
+	cp keyrings/pub.gpg $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg
+	chmod 0644 $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg
+	# /usr/lib
 	$(INSTALL_PROGRAM)  minigzip $(D)/usr/lib/debdelta/minigzip
 	$(INSTALL_PROGRAM)  minibzip2 $(D)/usr/lib/debdelta/minibzip2
-	cp  debdelta $(D)/usr/bin/debdelta
+	# /etc
 	install -d $(D)/etc/debdelta
 	cp etc/sources.conf $(D)/etc/debdelta/sources.conf
 	echo /etc/debdelta/sources.conf >> $(D)/DEBIAN/conffiles
-	chmod +x  $(D)/usr/bin/debdelta
+	# /usr/bin
+	install debdelta $(D)/usr/bin/debdelta
 	ln -s debdelta  $(D)/usr/bin/debpatch
 	ln -s debdelta  $(D)/usr/bin/debdeltas
 	ln -s debdelta  $(D)/usr/bin/debdelta-upgrade
-	cp  FAQ README debian/copyright debian/changelog $(docdir)
-	cd $(docdir) && gzip -9 changelog README FAQ
+	# /usr/share/doc
+	cp FAQ README README.upgrade README.features debian/copyright debian/changelog $(docdir)
+	cd $(docdir) && gzip -9 changelog README README.upgrade FAQ
+	# man
 	cp *.1 $(mandir)
 	gzip -9 $(mandir)/*.1 
+	# build package
 	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2
 	dpkg-gencontrol -isp
 	chown -R root:root $(D)
-	chmod -R u+w,go=rX $(D)
-	dpkg --build $(D) ..
+	#chmod -R u+w,go=rX $(D)
+	dpkg-deb --build $(D) ..
 
 define checkdir
 	test -f debdelta -a -f debian/rules

## debdelta 0.39trl

=== debian/changelog ===
debdelta (0.39trl) unstable; urgency=high
  
  * The real thing release: upload the real 0.39, not a damaged version;
  * fixes: "debdelta _append_() wrong number of arguments", thanks to
    cybjit (Closes: #585079) for noting.

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 13 Jun 2010 16:58:15 +0200

debdelta (0.39) unstable; urgency=low

  * Reviewed messages printed (at different verbosity levels) .
  * Inside the delta, the internal script uses shell pipes,
     to reduce usage of temporary files .
  * Set Homepage: http://debdelta.debian.net
  * etc/sources.conf : use debdeltas.debian.net, thanks to Paul Wise
     for the suggestion, and thanks to the Bononia people (Closes: #517942).
  * xdelta3 (>= 0y) can use a FIFO for the input source (a.k.a
     the old version of the file). When using '--delta-algo xdelta3'
     the delta now, in its internal script, can process all old files 
     in one pipe, w/o using many chunks stored in temporary files. Such
     deltas are marked by a new internal feature 'needs-xdelta3-fifo'.
     This is disabled by '--disable-feature xdelta3-fifo'
  * debdelta/debdeltas : store incomplete delta files as delta_tmp_ , are
     renamed when they are completed (and tested, and signed, if required) 
  
 -- A Mennucc1 <mennucc1@debian.org>  Fri, 03 Apr 2010 13:40:59 +0200

debdelta (0.38) unstable; urgency=low

  * debdelta-upgrade : 
    - properly distinguish when prelink fails due to low disk space,
      or simply because the file did not need to be unprelinked, or else
    - small changes to progress reporting
    - -v -d , prints the URI of missing deltas
  * debdeltas : huge rewrite 
    - big speedup in scanning repositories, less disk access
    - remove option --clean-alt
    - add option --old   (note that, if no '--old' arg is  specified, 
       then no deltas will be generated; this is different from
       previous versions of debdeltas)
    - different meaning of --alt option
    - rewrote man page, with many examples
  * add new script /usr/share/debdelta/debmirror-deltas (a complex script
    that creates a repository of deltas, that can be used by
    debdelta-upgrade for upgrading packages in
    lenny,squeeze,sid,experimental )

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 04 Feb 2010 22:27:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Build-Depends: zlib1g-dev, libbz2-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.8.3.0
+Homepage: http://debdelta.debian.net
 
 Package: debdelta
 Architecture: any
 Depends: python, bzip2, binutils, ${shlibs:Depends}
 Recommends: python-apt, xdelta3, xdelta, lzma, xdelta, bsdiff
+Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
 Description: diff and patch utilities which work with Debian packages
  debdelta is a program suite designed to compute changes between

=== debian/rules ===
--- 
+++ 
@@ -46,14 +46,14 @@
 	# dirs
 	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings
 	# control
-	install contrib/debmirror-delta-security $(D)/usr/share/debdelta
 	install -m 755 debian/postrm $(D)/DEBIAN/
 	install -m 755 debian/postinst $(D)/DEBIAN/
 	# /usr/share
 	install debpatch.sh $(D)/usr/share/debdelta
 	install contrib/debmirror-delta-security $(D)/usr/share/debdelta
+	install contrib/debmirror-deltas $(D)/usr/share/debdelta
 	install contrib/dpkg-sig $(D)/usr/share/debdelta
-	cp contrib/debmirror_2007_--trash_option.patch  $(D)/usr/share/debdelta
+	cp contrib/debmirror*trash_option.patch  $(D)/usr/share/debdelta
 	ln -s ../../bin/debdelta  $(D)/usr/share/debdelta/debpatch-url
 	cp keyrings/pub.gpg $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg
 	chmod 0644 $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg

## debdelta 0.39trlubuntu1

=== debian/changelog ===
debdelta (0.39trlubuntu1) natty; urgency=low

  * debian/rules:
    + Fix linking with -lbz2 and -lz.

 -- Michael Bienia <geser@ubuntu.com>  Fri, 03 Dec 2010 15:05:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
-Maintainer: A Mennucc1 <mennucc1@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.8.3.0
 Homepage: http://debdelta.debian.net

=== debian/rules ===
--- 
+++ 
@@ -21,11 +21,11 @@
 
 
 minibzip2: minigzip.c
-	$(CC) -DBZIP $(CFLAGS) -lbz2  minigzip.c -o minibzip2 
+	$(CC) -DBZIP $(CFLAGS) minigzip.c -o minibzip2 -lbz2
 
 build: minibzip2
 	$(checkdir)
-	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="-lz" minigzip
+	$(CC) $(CFLAGS) minigzip.c -o minigzip -lz
 	touch build
 
 clean:

## debdelta 0.43

=== debian/changelog ===
debdelta (0.43) unstable; urgency=low

  * add code to support python-apt 0.8 API,
    thanks to Julian Andres Klode (Closes: #572059).
  * Add a fallback in case of upgrade errors,
    thanks to Nelson A. de Oliveira (Closes: #612423)
    and thanks to Ritesh Raj Sarraf    (Closes: #592053).
  * New package 'debdelta-doc' contains the documentation.

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 28 May 2011 18:58:05 +0200

debdelta (0.42exp) experimental; urgency=low

  * Implemented streaming capabilities in patches;
    implemented new --format option for 'debdelta-upgrade', so that
    '--format=unzipped' will create debs with data.tar uncompressed
  * debdelta-upgrade bails out on a delta if locale files are missing,
    even if 'localepurge' is not used (see bug 619086)

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 04 May 2011 11:04:55 +0200

debdelta (0.41) unstable; urgency=low

  * Bump Standards-Version .
  * Review --help messages .
  * Small corrections to it.po .
  * Remove obsolete stuff from contrib/ .
  * Updated version of 'debmirror-delta-security' (for stable=squeeze).
  * New 'debmirror-marshal-deltas' script, that uses the new 
     'debmirror --debmarshal' option to manage the debs mirror and
     generate the deltas used by 'debdelta-upgrade'.
  * Add contrib/debmarshal_list_useless_debs (used by above).
  * Reviewed the README files.
  
 -- A Mennucc1 <mennucc1@debian.org>  Mon, 07 Mar 2011 19:26:54 +0100

debdelta (0.40exp) experimental; urgency=low

  * Add l10n support, it_IT translation (viva DUCCIT!)
  * Type fix in man debdelta-upgrade, thanks to A. Costa (Closes: #593174).
  * Typo fix in error message: "...applying of delta
     for ... failed", thanks to A. Costa (Closes: #593187).
  * Use 'gpg2 --batch' internally for signing or verifying,
     (to avoid printing on the tty as much as possible)
  * Implement usage of gnupg-agent in the example scripts
  * Recommends gnupg2, gnupg-agent

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 25 Sep 2010 15:19:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: devel
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.8.3.0
+Maintainer: A Mennucc1 <mennucc1@debian.org>
+Standards-Version: 3.9.1.0
 Homepage: http://debdelta.debian.net
+Vcs-git: http://debdelta.debian.net/debdelta-suite.git
 
 Package: debdelta
 Architecture: any
 Depends: python, bzip2, binutils, ${shlibs:Depends}
-Recommends: python-apt, xdelta3, xdelta, lzma, xdelta, bsdiff
+Recommends: python-apt, xdelta3, xdelta, lzma, xdelta, bsdiff, gnupg2, gnupg-agent
 Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
+Suggests: debdelta-doc
 Description: diff and patch utilities which work with Debian packages
  debdelta is a program suite designed to compute changes between
  Debian packages. These changes (deltas) are similar to the output of the
@@ -26,3 +27,14 @@
  .
  Similarly, when this package is installed, the 'cupt' package manager will
  use deltas to upgrade the host.
+
+Package: debdelta-doc
+Architecture: all
+Recommends: debdelta
+Description: diff and patch utilities which work with Debian packages
+ debdelta is a program suite designed to compute changes between
+ Debian packages. These changes (deltas) are similar to the output of the
+ "diff" program in that they may be used to store and transmit only the
+ changes between Debian packages.
+ .
+ This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,15 @@
 
 package = debdelta
 
-D = debian/tmp
+D = debian/debdelta
 
 docdir = $(D)/usr/share/doc/$(package)
 mandir = $(D)/usr/share/man/man1/
+
+D2 = debian/debdelta-doc
+
+docdir2 = $(D2)/usr/share/doc/$(package)
+docdir2doc = $(D2)/usr/share/doc/$(package)-doc
 
 CC = gcc
 CFLAGS = -g -Wall
@@ -21,37 +26,47 @@
 
 
 minibzip2: minigzip.c
-	$(CC) -DBZIP $(CFLAGS) minigzip.c -o minibzip2 -lbz2
+	$(CC) -DBZIP $(CFLAGS) -lbz2  minigzip.c -o minibzip2 
 
 build: minibzip2
 	$(checkdir)
-	$(CC) $(CFLAGS) minigzip.c -o minigzip -lz
+	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="-lz" minigzip
 	touch build
 
 clean:
 	$(checkdir)
 	rm -f build *~ */*~ debian/files* debian/substvars
 	rm -f minigzip minibzip2
-	rm -rf $(D)
+	rm -rf $(D) $(D2)
 
 binary-indep:	checkroot build
 	$(checkdir)
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
+	rm -rf $(D2)
+	install -d $(D2)/DEBIAN  $(docdir2)  $(docdir2doc)
+	cp doc/debdelta_suite.pdf debian/copyright debian/changelog $(docdir2doc)
+	cd $(docdir2doc) && gzip -9 changelog
+	cp -r doc/html  $(docdir2doc)
+	ln -s ../debdelta-doc/debdelta_suite.pdf  $(docdir2)
+	ln -s ../debdelta-doc/html  $(docdir2)
+	# build package
+	dpkg-gencontrol -Pdebian/debdelta-doc -pdebdelta-doc
+	chown -R root:root $(D2)
+	dpkg-deb --build $(D2) ..
 
 binary-arch:	checkroot build
 	$(checkdir)
 	rm -rf $(D)
 	# dirs
-	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings
+	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings $(D)/usr/share/locale/it/LC_MESSAGES
 	# control
 	install -m 755 debian/postrm $(D)/DEBIAN/
 	install -m 755 debian/postinst $(D)/DEBIAN/
 	# /usr/share
+	cp po/it.mo $(D)/usr/share/locale/it/LC_MESSAGES/debdelta.mo
 	install debpatch.sh $(D)/usr/share/debdelta
-	install contrib/debmirror-delta-security $(D)/usr/share/debdelta
-	install contrib/debmirror-deltas $(D)/usr/share/debdelta
+	install contrib/debmirror-delta-security $(D)/usr/share/debdelta/
+	install contrib/debmirror-marshal-deltas $(D)/usr/share/debdelta/
+	install contrib/debmarshal_list_useless_debs $(D)/usr/share/debdelta/
 	install contrib/dpkg-sig $(D)/usr/share/debdelta
 	cp contrib/debmirror*trash_option.patch  $(D)/usr/share/debdelta
 	ln -s ../../bin/debdelta  $(D)/usr/share/debdelta/debpatch-url
@@ -70,16 +85,15 @@
 	ln -s debdelta  $(D)/usr/bin/debdeltas
 	ln -s debdelta  $(D)/usr/bin/debdelta-upgrade
 	# /usr/share/doc
-	cp FAQ README README.upgrade README.features debian/copyright debian/changelog $(docdir)
-	cd $(docdir) && gzip -9 changelog README README.upgrade FAQ
+	cp FAQ README.features debian/copyright debian/changelog $(docdir)
+	cd $(docdir) && gzip -9 changelog FAQ
 	# man
 	cp *.1 $(mandir)
 	gzip -9 $(mandir)/*.1 
 	# build package
 	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2
-	dpkg-gencontrol -isp
+	dpkg-gencontrol -Pdebian/debdelta -pdebdelta
 	chown -R root:root $(D)
-	#chmod -R u+w,go=rX $(D)
 	dpkg-deb --build $(D) ..
 
 define checkdir

## debdelta 0.43ubuntu1

=== debian/changelog ===
debdelta (0.43ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules:
      + Fix linking with -lbz2 and -lz. (Closes: #633467)

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 10 Jul 2011 16:58:21 +0200

debdelta (0.41ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/rules:
      + Fix linking with -lbz2 and -lz.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 01 May 2011 00:08:00 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
-Maintainer: A Mennucc1 <mennucc1@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.9.1.0
 Homepage: http://debdelta.debian.net
 Vcs-git: http://debdelta.debian.net/debdelta-suite.git

## debdelta 0.44

=== debian/changelog ===
debdelta (0.44) unstable; urgency=low

  * support xz compression for data.tar part in .deb
    (only when defult compression is used)
  * Bug fix: "FTBFS with binutils-gold", thanks to Angel Abad (Closes:
    #633467).
  * Bug fix: "Do not wait forever the connection to server", thanks to
    Rodolphe Pelloux-Prayer (Closes: #636022).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 28 Aug 2011 10:17:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: devel
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
+Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.9.1.0
 Homepage: http://debdelta.debian.net
 Vcs-git: http://debdelta.debian.net/debdelta-suite.git
@@ -11,7 +10,7 @@
 Package: debdelta
 Architecture: any
 Depends: python, bzip2, binutils, ${shlibs:Depends}
-Recommends: python-apt, xdelta3, xdelta, lzma, xdelta, bsdiff, gnupg2, gnupg-agent
+Recommends: python-apt, xdelta3, xdelta, lzma, xz, xdelta, bsdiff, gnupg2, gnupg-agent
 Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
 Suggests: debdelta-doc
@@ -30,6 +29,7 @@
  use deltas to upgrade the host.
 
 Package: debdelta-doc
+Section: doc
 Architecture: all
 Recommends: debdelta
 Description: diff and patch utilities which work with Debian packages

## debdelta 0.45

=== debian/changelog ===
debdelta (0.45) unstable; urgency=low

  * debdelta-upgrade/debpatch : new option --forensic,
     to report a log when a delta fails
  * debdelta/debdeltas : new option --forensicdir,
     to store hashes to check above reports
  * do not use hardcoded errno values,
    thanks to Pino Toscano (Closes: #640627).
  * typo in Recommends: xz -> xz-utils,
    thanks to Eugene V. Lyubimkin (Closes: #641189).

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 06 Dec 2011 17:27:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,11 @@
 
 
 minibzip2: minigzip.c
-	$(CC) -DBZIP $(CFLAGS) -lbz2  minigzip.c -o minibzip2 
+	$(CC) -DBZIP $(CFLAGS) minigzip.c -o minibzip2 -lbz2
 
 build: minibzip2
 	$(checkdir)
-	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="-lz" minigzip
+	$(CC) $(CFLAGS) minigzip.c -o minigzip -lz
 	touch build
 
 clean:

## debdelta 0.50

=== debian/changelog ===
debdelta (0.50) unstable; urgency=medium

  * ship 2012 gpg public key (to verify deltas with debdelta-upgrade)
  * correct typo in program message
  * correct italian translation of program messages
    according to d-italian rules

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 26 Aug 2012 21:10:55 +0200

debdelta (0.49) unstable; urgency=low

  * update italian translation of program messages
  * update and really ship French translation of program messages,
    thanks to Thomas Blein  (Closes: #678329).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 02 Aug 2012 11:00:34 +0200

debdelta (0.48) unstable; urgency=low

  * French translation of program messages, thanks to Thomas
    Blein (Closes: #678329).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 02 Aug 2012 07:24:35 +0200

debdelta (0.47) unstable; urgency=low

  * debdelta , debdeltas : autodetect (some) xz parameters for data.tar.xz
  * debdelta-upgrade: --forensic=http is the default

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 28 May 2012 17:34:56 +0200

debdelta (0.46) unstable; urgency=low

  * debdelta-upgrade: support multiarch

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 23 Mar 2012 20:56:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -57,12 +57,13 @@
 	$(checkdir)
 	rm -rf $(D)
 	# dirs
-	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings $(D)/usr/share/locale/it/LC_MESSAGES
+	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings $(D)/usr/share/locale/it/LC_MESSAGES $(D)/usr/share/locale/fr/LC_MESSAGES
 	# control
 	install -m 755 debian/postrm $(D)/DEBIAN/
 	install -m 755 debian/postinst $(D)/DEBIAN/
 	# /usr/share
 	cp po/it.mo $(D)/usr/share/locale/it/LC_MESSAGES/debdelta.mo
+	cp po/fr.mo $(D)/usr/share/locale/fr/LC_MESSAGES/debdelta.mo
 	install debpatch.sh $(D)/usr/share/debdelta
 	install contrib/debmirror-delta-security $(D)/usr/share/debdelta/
 	install contrib/debmirror-marshal-deltas $(D)/usr/share/debdelta/

## debdelta 0.50%2B2

=== doc/Makefile ===
all: html/index.html debdelta_suite.pdf

html:
	mkdir html

html/index.html: html debdelta_suite.xml
	rm html/*.html
	docbook2html -o html debdelta_suite.xml

debdelta_suite.pdf: debdelta_suite.xml
	docbook2pdf debdelta_suite.xml

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: debdelta
 Architecture: any
 Depends: python, bzip2, binutils, ${shlibs:Depends}
-Recommends: python-apt, xdelta3, xdelta, lzma, xz, xdelta, bsdiff, gnupg2, gnupg-agent
+Recommends: python-apt, xdelta3, xdelta, lzma, xz-utils, xdelta, bsdiff, gnupg2, gnupg-agent
 Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
 Suggests: debdelta-doc

## debdelta 0.50+2

=== debian/changelog ===
debdelta (0.50+2) unstable; urgency=high

  * debdelta-upgrade: uses incorrect URL when requesting
     i386 debdeltas to upgrade amd64 (multiarch) host,
    thanks to Carlos Maddela (Closes: #692194).
  * debdelta-upgrade: packages whose version number contains a colon not
    upgraded when using a proxy, thanks to Carlos Maddela (Closes: #691641).

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 07 Nov 2012 13:31:31 +0100

debdelta (0.50+1) unstable; urgency=high

  * debpatch, debdelta-upgrade : do not get confused by broken symlinks
  * enable hardening flags

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 31 Oct 2012 10:40:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,23 +14,26 @@
 docdir2doc = $(D2)/usr/share/doc/$(package)-doc
 
 CC = gcc
-CFLAGS = -g -Wall
+
 INSTALL_PROGRAM = install
 
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O2
-endif
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
   INSTALL_PROGRAM += -s
 endif
 
+minibzip2: minigzip.c
+	$(CC) -DBZIP $(CFLAGS) $(CPPFLAGS) minigzip.c -o minibzip2  $(LDFLAGS) -lbz2
 
-minibzip2: minigzip.c
-	$(CC) -DBZIP $(CFLAGS) minigzip.c -o minibzip2 -lbz2
+minigzip: minigzip.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) minigzip.c -o minigzip $(LDFLAGS) -lz
 
-build: minibzip2
+build: minibzip2 minigzip
 	$(checkdir)
-	$(CC) $(CFLAGS) minigzip.c -o minigzip -lz
 	touch build
 
 clean:

## debdelta 0.50+3

=== debian/changelog ===
debdelta (0.50+3) testing-proposed-updates; urgency=medium

  * Ship new GPG key
  * Bug fix: "owned and unowned files after purge (policy 6.8 + 10.7.3)",
     (Closes: #617481).
  * Portuguese translation, thanks to Américo Monteiro  (Closes: #760731).
  * Add a stanza in etc/sources.conf to find deltas for backports

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 19 Dec 2014 14:42:17 +0100
